Le manuel de aRts
Précédent | Chapitre 2. Outils de aRts | Suivant

# 2.9. artsc-config

C'est un utilitaire pour aider les développeurs à utiliser les API C de aRts. Il donne les options du lieur et du compilateur nécessaires pour compiler et lier du code avec aRts. Il est destiné à être utilisé dans des makefiles pour favoriser la portabilité. La commande accepte trois options :

`--cflags`

  Affiche les options de compilation nécessaires pour compiler avec les API C de aRts..

`--libs`

  Affiche les options de compilation du lieur nécessaires pour compiler avec les API C de aRts..

--version

  Affiche la version de la commande artsc-config.

Voici la sortie typique de la commande :

     % artsc-config --cflags
     -I/usr/local/kde2/include/artsc
     % artsc-config --libs
     -L/usr/local/kde2/lib -ldl -lartsc -DPIC -fPIC -lpthread
     % artsc-config --version
     0.9.5

Vous auriez pu utiliser cet utilitaire dans un makefile en utilisant une règle telle que :

       1 artsc: artsc.c
       2         gcc `artsc-config --cflags` -o artsc artsc.c `artsc-config --libs`

Précédent | Sommaire | Suivant
artscontrol | Niveau supérieur | mcopidl